import {Component} from '@angular/core';
import {CreateSessionRequest, CreateSessionResponse, SessionService} from '../../../gen';
import {AuthService} from '../../services/auth.service';

@Component({
  selector: 'app-login',
  standalone: false,

  templateUrl: './login.component.html',
  styleUrl: './login.component.css'
})
export class LoginComponent {
  createSessionRequest: CreateSessionRequest = {
    username: "",
    password: ""
  }

  constructor(private sessionService: SessionService, private authService: AuthService) {
  }

  onSubmit(): void {
    this.sessionService.createToken(this.createSessionRequest).subscribe({
      next: (response: CreateSessionResponse): void => {
        this.authService.setToken(response.token);
      },
      error: (err: Error): void => {
        console.log(err);
      }
    });
  }
}
